Package twisted :: Package protocols :: Module oscar

[show private | hide private]
[frames | no frames]

## Module twisted.protocols.oscar

An implementation of the OSCAR protocol, which AIM and ICQ use to communcate.

This module is unstable.

Maintainer: Paul Swartz<mailto:z3p@twistedmatrix.com>

Classes
`BOSConnection` |
`ChatNavService` |
`ChatService` |
`OscarAuthenticator` |
`OscarConnection` |
`OSCARService` |
`OSCARUser` |
`SNACBased` |
`SSIBuddy` |
`SSIGroup` |

Function Summary
| `dehtml(text)`
| `encryptPasswordICQ(password)`
| `encryptPasswordMD5(password, key)`
| `html(text)`
| `logPacketData(data)`
| `readSNAC(data)`
| `readTLVs(data, count)`
| `SNAC(fam, sub, id, data, flags)`
| `TLV(type, value)`

Variable Summary
`string` | `CAP_CHAT`
`string` | `CAP_GAMES`
`string` | `CAP_GET_FILE`
`string` | `CAP_ICON`
`string` | `CAP_IMAGE`
`string` | `CAP_SEND_FILE`
`string` | `CAP_SEND_LIST`
`string` | `CAP_VOICE`
`int` | `FLAP_CHANNEL_CLOSE_CONNECTION`
`int` | `FLAP_CHANNEL_DATA`
`int` | `FLAP_CHANNEL_ERROR`
`int` | `FLAP_CHANNEL_NEW_CONNECTION`
`_Feature` | `nested_scopes`
`SelectReactor` | `reactor`
`int` | `SERVICE_CHAT`
`int` | `SERVICE_CHATNAV`
`dictionary` | `serviceClasses`
`int` | `TLV_CLIENTMAJOR`
`int` | `TLV_CLIENTMINOR`
`int` | `TLV_CLIENTNAME`
`int` | `TLV_CLIENTSUB`
`int` | `TLV_COUNTRY`
`int` | `TLV_LANG`
`int` | `TLV_PASSWORD`
`int` | `TLV_USERNAME`
`int` | `TLV_USESSI`

Variable Details

### CAP_CHAT

  Type:
    `string`
  Value:

        't\x8f$ b\x87\x11\xd1\x82"DEST\x00\x00'

### CAP_GAMES

  Type:
    `string`
  Value:

        '\tF\x13GL\x7f\x11\xd1\x82"DEST\x00\x00'

### CAP_GET_FILE

  Type:
    `string`
  Value:

        '\tF\x13HL\x7f\x11\xd1\x82"DEST\x00\x00'

### CAP_ICON

  Type:
    `string`
  Value:

        '\tF\x13FL\x7f\x11\xd1\x82"DEST\x00\x00'

### CAP_IMAGE

  Type:
    `string`
  Value:

        '\tF\x13EL\x7f\x11\xd1\x82"DEST\x00\x00'

### CAP_SEND_FILE

  Type:
    `string`
  Value:

        '\tF\x13CL\x7f\x11\xd1\x82"DEST\x00\x00'

### CAP_SEND_LIST

  Type:
    `string`
  Value:

        '\tF\x13KL\x7f\x11\xd1\x82"DEST\x00\x00'

### CAP_VOICE

  Type:
    `string`
  Value:

        '\tF\x13AL\x7f\x11\xd1\x82"DEST\x00\x00'

### FLAP_CHANNEL_CLOSE_CONNECTION

  Type:
    `int`
  Value:

        4

### FLAP_CHANNEL_DATA

  Type:
    `int`
  Value:

        2

### FLAP_CHANNEL_ERROR

  Type:
    `int`
  Value:

        3

### FLAP_CHANNEL_NEW_CONNECTION

  Type:
    `int`
  Value:

        1

### nested_scopes

  Type:
    `_Feature`
  Value:

        Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'final', 0))

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x834759c>

### SERVICE_CHAT

  Type:
    `int`
  Value:

        14

### SERVICE_CHATNAV

  Type:
    `int`
  Value:

        13

### serviceClasses

  Type:
    `dictionary`
  Value:

        {13: <class twisted.protocols.oscar.ChatNavService at 0x84efac4>,
         14: <class twisted.protocols.oscar.ChatService at 0x866a29c>}

### TLV_CLIENTMAJOR

  Type:
    `int`
  Value:

        23

### TLV_CLIENTMINOR

  Type:
    `int`
  Value:

        24

### TLV_CLIENTNAME

  Type:
    `int`
  Value:

        3

### TLV_CLIENTSUB

  Type:
    `int`
  Value:

        26

### TLV_COUNTRY

  Type:
    `int`
  Value:

        14

### TLV_LANG

  Type:
    `int`
  Value:

        15

### TLV_PASSWORD

  Type:
    `int`
  Value:

        37

### TLV_USERNAME

  Type:
    `int`
  Value:

        1

### TLV_USESSI

  Type:
    `int`
  Value:

        74

Generated by Epydoc 1.1 on Sat Feb 15 21:18:01 2003 | http://epydoc.sf.net